package com.platform.service;

import com.platform.entity.Result;
import com.platform.entity.SceneEntity;


import java.util.List;
import java.util.Map;

/**
 * Service接口
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-19 17:59:15
 */
public interface SceneService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    SceneEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<SceneEntity> queryList(Map<String, Object> map);



    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param brand 实体
     * @return 保存条数
     */
    int save(SceneEntity brand,boolean checkName);

    /**
     * 根据主键更新实体
     *
     * @param brand 实体
     * @return 更新条数
     */
    Result update(SceneEntity brand, boolean checkName);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);


    SceneEntity queryByScene(String sceneNum);

    List<SceneEntity> selectByDeptIdsAndExceptSceneNums(List<Long> deptIds, List<String> sceneNums);

    void updateSceneUser(Long fromUserId,Long toUserId,Long currentUserId);

    List<SceneEntity> queryByUserId(Long userId);

    void sync4dkkSceneData(String mobile,Long userId);
}
